﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Windows.Forms;
using Agilent.Chromatography.DataAnalysis.UI.Infrastructure.Themes;
using Infragistics.Win.AppStyling;

namespace CheckBoxInUltraGrid
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            Persons persons = new Persons();
            persons.persons.Add(new Person() {Name = "Toto", Selected = true});
            persons.persons.Add(new Person() { Name = "titi", Selected = false });

            //
            const string agilentChromatographyDataAnalysisUiStyleIslFile = "CheckBoxInUltraGrid.UltraGridStyle.isl";
            StyleManager.Load(Assembly.GetExecutingAssembly().GetManifestResourceStream(agilentChromatographyDataAnalysisUiStyleIslFile), true);
            //
            
            InitializeComponent();
            this.ultraGrid1.DataSource = null;
            this.ultraGrid1.DataSource = persons.persons;
            this.ultraGrid1.Refresh();
        }
    }

    public class Persons
    {
        public List<Person> persons = new List<Person>();
    }

    public class Person
    {
        public bool Selected { get; set; }

        public string Name { get; set; }
    }
}
